Get payable details from accounting system

Returns information about an individual payable invoice (bill) that exists in the entity’s accounting system. This payable may or may not also exist in Monite.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired

An internal ID of the payable invoice (bill) in the accounting system. You can get these IDs from GET /accounting/payables.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstring
An internal identifier of the payable in the accounting system.
statusstring

The status of the payable in the accounting system. Possible values: open, draft, partially_paid, paid, unknown, void.

total_amountdouble

The total amount payable, including discounts and VAT/taxes.

amount_duedouble
Remaining amount to be paid.
currencystring

ISO-4217 currency code of the payable.

currency_ratedouble
Rate to convert the total amount of the transaction into the entity's base currency at the time of the transaction.
due_datedatetime or string
The payable's due date.
invoice_numberstring
Invoice number of the payable.
lineslist of objects
memostring
Any additional information or business notes about the payable.
posted_datestringformat: "date"
Date when the payable was added to the accounting service. This may differ from the payable creation date.
purchase_order_refslist of objects
A list of purchase orders linked to the payable, if any.
subtotaldouble

Amount payable, including discounts but excluding VAT/taxes.

tax_amountdouble
Total VAT or tax amount.
vendor_refobject
Information about the vendor from whom the payable was received.

Errors

401
Get Accounting Payables ID Request Unauthorized Error
422
Get Accounting Payables ID Request Unprocessable Entity Error
429
Get Accounting Payables ID Request Too Many Requests Error